plugindevelopment.TypeInsertTests

## Class MultipleTypesInsertTester

- java.lang.Object
- - plugindevelopment.TypeInsertTester
  - - plugindevelopment.TypeInsertTests.MultipleTypesInsertTester

-     public class MultipleTypesInsertTester
      extends TypeInsertTester

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static LoggerConfiguration` | `logConfig`
    `static java.lang.String` | `rootDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipleTypesInsertTester()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `test(java.lang.String sourceFileToInfere, Menge<java.lang.String> mustContain)`
    `static void` | `test(java.lang.String sourceFileToInfere, Menge<java.lang.String> mustContain, LoggerConfiguration additionalConfig)`
    `static void` | `testSingleInsert(java.lang.String sourceFileToInfere, Menge<java.lang.String> mustContain)`

    - ### Methods inherited from class plugindevelopment.TypeInsertTester

      `getFileContent, test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rootDirectory

          public static final java.lang.String rootDirectory

    - #### logConfig

          static LoggerConfiguration logConfig

  - ### Constructor Detail

    - #### MultipleTypesInsertTester

          public MultipleTypesInsertTester()

  - ### Method Detail

    - #### test

          public static void test(java.lang.String sourceFileToInfere,
                                  Menge<java.lang.String> mustContain,
                                  LoggerConfiguration additionalConfig)

    - #### test

          public static void test(java.lang.String sourceFileToInfere,
                                  Menge<java.lang.String> mustContain)

    - #### testSingleInsert

          public static void testSingleInsert(java.lang.String sourceFileToInfere,
                                              Menge<java.lang.String> mustContain)